Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.fb.constants

# Class DpbItems

java.lang.Object
org.firebirdsql.jaybird.fb.constants.DpbItems

public final class DpbItems extends Object
Constants for DPB (database parameter buffer) items.

Since:
  5
Author:
  Mark Rotteveel

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `isc_dpb_activate_shadow`
  `static final int`
  `isc_dpb_address_path`
  `static final int`
  `isc_dpb_allocation`
  `static final int`
  `isc_dpb_auth_block`
  `static final int`
  `isc_dpb_auth_plugin_list`
  `static final int`
  `isc_dpb_auth_plugin_name`
  `static final int`
  `isc_dpb_begin_log`
  `static final int`
  `isc_dpb_buffer_length`
  `static final int`
  `isc_dpb_cache_manager`
  `static final int`
  `isc_dpb_cdd_pathname`
  `static final int`
  `isc_dpb_clear_map`
  `static final int`
  `isc_dpb_client_version`
  `static final int`
  `isc_dpb_config`
  `static final int`
  `isc_dpb_connect_timeout`
  `static final int`
  `isc_dpb_damaged`
  `static final int`
  `isc_dpb_dbkey_scope`
  `static final int`
  `isc_dpb_debug`
  `static final int`
  `isc_dpb_decfloat_round`
  `static final int`
  `isc_dpb_decfloat_traps`
  `static final int`
  `isc_dpb_delete_shadow`
  `static final int`
  `isc_dpb_disable_journal`
  `static final int`
  `isc_dpb_disable_wal`
  `static final int`
  `isc_dpb_drop_walfile`
  `static final int`
  `isc_dpb_dummy_packet_interval`
  `static final int`
  `isc_dpb_enable_journal`
  `static final int`
  `isc_dpb_encrypt_key`
  `static final int`
  `isc_dpb_ext_call_depth`
  `static final int`
  `isc_dpb_force_write`
  `static final int`
  `isc_dpb_garbage_collect`
  `static final int`
  `isc_dpb_gbak_attach`
  `static final int`
  `isc_dpb_gfix_attach`
  `static final int`
  `isc_dpb_gsec_attach`
  `static final int`
  `isc_dpb_gstat_attach`
  `static final int`
  `isc_dpb_host_name`
  `static final int`
  `isc_dpb_interp`
  `static final int`
  `isc_dpb_journal`
  `static final int`
  `isc_dpb_lc_ctype`
  `static final int`
  `isc_dpb_lc_messages`
  `static final int`
  `isc_dpb_license`
  `static final int`
  `isc_dpb_map_attach`
  `static final int`
  `isc_dpb_max_blob_cache_size`
  `static final int`
  `isc_dpb_max_inline_blob_size`
  `static final int`
  `isc_dpb_no_db_triggers`
  `static final int`
  `isc_dpb_no_garbage_collect`
  `static final int`
  `isc_dpb_no_reserve`
  `static final int`
  `isc_dpb_nolinger`
  `static final int`
  `isc_dpb_num_buffers`
  `static final int`
  `isc_dpb_number_of_users`
  `static final int`
  `isc_dpb_old_dump_id`
  `static final int`
  `isc_dpb_old_file`
  `static final int`
  `isc_dpb_old_file_size`
  `static final int`
  `isc_dpb_old_num_files`
  `static final int`
  `isc_dpb_old_start_file`
  `static final int`
  `isc_dpb_old_start_page`
  `static final int`
  `isc_dpb_old_start_seqno`
  `static final int`
  `isc_dpb_online`
  `static final int`
  `isc_dpb_online_dump`
  `static final int`
  `isc_dpb_org_filename`
  `static final int`
  `isc_dpb_os_user`
  `static final int`
  `isc_dpb_overwrite`
  `static final int`
  `isc_dpb_owner`
  `static final int`
  `isc_dpb_page_size`
  `static final int`
  `isc_dpb_parallel_workers`
  `static final int`
  `isc_dpb_password`
  `static final int`
  `isc_dpb_password_enc`
  `static final int`
  `isc_dpb_process_id`
  `static final int`
  `isc_dpb_process_name`
  `static final int`
  `isc_dpb_quit_log`
  `static final int`
  `isc_dpb_remote_protocol`
  `static final int`
  `isc_dpb_reserved`
  `static final int`
  `isc_dpb_reset_icu`
  `static final int`
  `isc_dpb_sec_attach`
  `static final int`
  `isc_dpb_session_time_zone`
  `static final int`
  `isc_dpb_set_bind`
  `static final int`
  `isc_dpb_set_db_charset`
  `static final int`
  `isc_dpb_set_db_readonly`
  `static final int`
  `isc_dpb_set_db_replica`
  `static final int`
  `isc_dpb_set_db_sql_dialect`
  `static final int`
  `isc_dpb_set_page_buffers`
  `static final int`
  `isc_dpb_shutdown`
  `static final int`
  `isc_dpb_shutdown_delay`
  `static final int`
  `isc_dpb_specific_auth_data`
  `static final int`
  `isc_dpb_sql_dialect`
  `static final int`
  `isc_dpb_sql_role_name`
  `static final int`
  `isc_dpb_sweep`
  `static final int`
  `isc_dpb_sweep_interval`
  `static final int`
  `isc_dpb_sys_user_name`
  `static final int`
  `isc_dpb_sys_user_name_enc`
  `static final int`
  `isc_dpb_trace`
  `static final int`
  `isc_dpb_trusted_auth`
  `static final int`
  `isc_dpb_trusted_role`
  `static final int`
  `isc_dpb_user`
  `static final int`
  `isc_dpb_user_name`
  `static final int`
  `isc_dpb_utf8_filename`
  `static final int`
  `isc_dpb_verify`
  `static final int`
  `isc_dpb_wal_backup_dir`
  `static final int`
  `isc_dpb_wal_bufsize`
  `static final int`
  `isc_dpb_wal_chkptlen`
  `static final int`
  `isc_dpb_wal_grp_cmt_wait`
  `static final int`
  `isc_dpb_wal_numbufs`
  `static final int`
  `isc_dpb_worker_attach`
  `static final int`
  `isc_dpb_working_directory`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### isc_dpb_cdd_pathname

    public static final int isc_dpb_cdd_pathname
    See Also:
      - Constant Field Values

  - ### isc_dpb_allocation

    public static final int isc_dpb_allocation
    See Also:
      - Constant Field Values

  - ### isc_dpb_journal

    public static final int isc_dpb_journal
    See Also:
      - Constant Field Values

  - ### isc_dpb_page_size

    public static final int isc_dpb_page_size
    See Also:
      - Constant Field Values

  - ### isc_dpb_num_buffers

    public static final int isc_dpb_num_buffers
    See Also:
      - Constant Field Values

  - ### isc_dpb_buffer_length

    public static final int isc_dpb_buffer_length
    See Also:
      - Constant Field Values

  - ### isc_dpb_debug

    public static final int isc_dpb_debug
    See Also:
      - Constant Field Values

  - ### isc_dpb_garbage_collect

    public static final int isc_dpb_garbage_collect
    See Also:
      - Constant Field Values

  - ### isc_dpb_verify

    public static final int isc_dpb_verify
    See Also:
      - Constant Field Values

  - ### isc_dpb_sweep

    public static final int isc_dpb_sweep
    See Also:
      - Constant Field Values

  - ### isc_dpb_enable_journal

    public static final int isc_dpb_enable_journal
    See Also:
      - Constant Field Values

  - ### isc_dpb_disable_journal

    public static final int isc_dpb_disable_journal
    See Also:
      - Constant Field Values

  - ### isc_dpb_dbkey_scope

    public static final int isc_dpb_dbkey_scope
    See Also:
      - Constant Field Values

  - ### isc_dpb_number_of_users

    public static final int isc_dpb_number_of_users
    See Also:
      - Constant Field Values

  - ### isc_dpb_trace

    public static final int isc_dpb_trace
    See Also:
      - Constant Field Values

  - ### isc_dpb_no_garbage_collect

    public static final int isc_dpb_no_garbage_collect
    See Also:
      - Constant Field Values

  - ### isc_dpb_damaged

    public static final int isc_dpb_damaged
    See Also:
      - Constant Field Values

  - ### isc_dpb_license

    public static final int isc_dpb_license
    See Also:
      - Constant Field Values

  - ### isc_dpb_sys_user_name

    public static final int isc_dpb_sys_user_name
    See Also:
      - Constant Field Values

  - ### isc_dpb_encrypt_key

    public static final int isc_dpb_encrypt_key
    See Also:
      - Constant Field Values

  - ### isc_dpb_activate_shadow

    public static final int isc_dpb_activate_shadow
    See Also:
      - Constant Field Values

  - ### isc_dpb_sweep_interval

    public static final int isc_dpb_sweep_interval
    See Also:
      - Constant Field Values

  - ### isc_dpb_delete_shadow

    public static final int isc_dpb_delete_shadow
    See Also:
      - Constant Field Values

  - ### isc_dpb_force_write

    public static final int isc_dpb_force_write
    See Also:
      - Constant Field Values

  - ### isc_dpb_begin_log

    public static final int isc_dpb_begin_log
    See Also:
      - Constant Field Values

  - ### isc_dpb_quit_log

    public static final int isc_dpb_quit_log
    See Also:
      - Constant Field Values

  - ### isc_dpb_no_reserve

    public static final int isc_dpb_no_reserve
    See Also:
      - Constant Field Values

  - ### isc_dpb_user_name

    public static final int isc_dpb_user_name
    See Also:
      - Constant Field Values

  - ### isc_dpb_user

    public static final int isc_dpb_user
    See Also:
      - Constant Field Values

  - ### isc_dpb_password

    public static final int isc_dpb_password
    See Also:
      - Constant Field Values

  - ### isc_dpb_password_enc

    public static final int isc_dpb_password_enc
    See Also:
      - Constant Field Values

  - ### isc_dpb_sys_user_name_enc

    public static final int isc_dpb_sys_user_name_enc
    See Also:
      - Constant Field Values

  - ### isc_dpb_interp

    public static final int isc_dpb_interp
    See Also:
      - Constant Field Values

  - ### isc_dpb_online_dump

    public static final int isc_dpb_online_dump
    See Also:
      - Constant Field Values

  - ### isc_dpb_old_file_size

    public static final int isc_dpb_old_file_size
    See Also:
      - Constant Field Values

  - ### isc_dpb_old_num_files

    public static final int isc_dpb_old_num_files
    See Also:
      - Constant Field Values

  - ### isc_dpb_old_file

    public static final int isc_dpb_old_file
    See Also:
      - Constant Field Values

  - ### isc_dpb_old_start_page

    public static final int isc_dpb_old_start_page
    See Also:
      - Constant Field Values

  - ### isc_dpb_old_start_seqno

    public static final int isc_dpb_old_start_seqno
    See Also:
      - Constant Field Values

  - ### isc_dpb_old_start_file

    public static final int isc_dpb_old_start_file
    See Also:
      - Constant Field Values

  - ### isc_dpb_drop_walfile

    public static final int isc_dpb_drop_walfile
    See Also:
      - Constant Field Values

  - ### isc_dpb_old_dump_id

    public static final int isc_dpb_old_dump_id
    See Also:
      - Constant Field Values

  - ### isc_dpb_wal_backup_dir

    public static final int isc_dpb_wal_backup_dir
    See Also:
      - Constant Field Values

  - ### isc_dpb_wal_chkptlen

    public static final int isc_dpb_wal_chkptlen
    See Also:
      - Constant Field Values

  - ### isc_dpb_wal_numbufs

    public static final int isc_dpb_wal_numbufs
    See Also:
      - Constant Field Values

  - ### isc_dpb_wal_bufsize

    public static final int isc_dpb_wal_bufsize
    See Also:
      - Constant Field Values

  - ### isc_dpb_wal_grp_cmt_wait

    public static final int isc_dpb_wal_grp_cmt_wait
    See Also:
      - Constant Field Values

  - ### isc_dpb_lc_messages

    public static final int isc_dpb_lc_messages
    See Also:
      - Constant Field Values

  - ### isc_dpb_lc_ctype

    public static final int isc_dpb_lc_ctype
    See Also:
      - Constant Field Values

  - ### isc_dpb_cache_manager

    public static final int isc_dpb_cache_manager
    See Also:
      - Constant Field Values

  - ### isc_dpb_shutdown

    public static final int isc_dpb_shutdown
    See Also:
      - Constant Field Values

  - ### isc_dpb_online

    public static final int isc_dpb_online
    See Also:
      - Constant Field Values

  - ### isc_dpb_shutdown_delay

    public static final int isc_dpb_shutdown_delay
    See Also:
      - Constant Field Values

  - ### isc_dpb_reserved

    public static final int isc_dpb_reserved
    See Also:
      - Constant Field Values

  - ### isc_dpb_overwrite

    public static final int isc_dpb_overwrite
    See Also:
      - Constant Field Values

  - ### isc_dpb_sec_attach

    public static final int isc_dpb_sec_attach
    See Also:
      - Constant Field Values

  - ### isc_dpb_disable_wal

    public static final int isc_dpb_disable_wal
    See Also:
      - Constant Field Values

  - ### isc_dpb_connect_timeout

    public static final int isc_dpb_connect_timeout
    See Also:
      - Constant Field Values

  - ### isc_dpb_dummy_packet_interval

    public static final int isc_dpb_dummy_packet_interval
    See Also:
      - Constant Field Values

  - ### isc_dpb_gbak_attach

    public static final int isc_dpb_gbak_attach
    See Also:
      - Constant Field Values

  - ### isc_dpb_sql_role_name

    public static final int isc_dpb_sql_role_name
    See Also:
      - Constant Field Values

  - ### isc_dpb_set_page_buffers

    public static final int isc_dpb_set_page_buffers
    See Also:
      - Constant Field Values

  - ### isc_dpb_working_directory

    public static final int isc_dpb_working_directory
    See Also:
      - Constant Field Values

  - ### isc_dpb_sql_dialect

    public static final int isc_dpb_sql_dialect
    See Also:
      - Constant Field Values

  - ### isc_dpb_set_db_readonly

    public static final int isc_dpb_set_db_readonly
    See Also:
      - Constant Field Values

  - ### isc_dpb_set_db_sql_dialect

    public static final int isc_dpb_set_db_sql_dialect
    See Also:
      - Constant Field Values

  - ### isc_dpb_gfix_attach

    public static final int isc_dpb_gfix_attach
    See Also:
      - Constant Field Values

  - ### isc_dpb_gstat_attach

    public static final int isc_dpb_gstat_attach
    See Also:
      - Constant Field Values

  - ### isc_dpb_set_db_charset

    public static final int isc_dpb_set_db_charset
    See Also:
      - Constant Field Values

  - ### isc_dpb_gsec_attach

    public static final int isc_dpb_gsec_attach
    See Also:
      - Constant Field Values

  - ### isc_dpb_address_path

    public static final int isc_dpb_address_path
    See Also:
      - Constant Field Values

  - ### isc_dpb_process_id

    public static final int isc_dpb_process_id
    See Also:
      - Constant Field Values

  - ### isc_dpb_no_db_triggers

    public static final int isc_dpb_no_db_triggers
    See Also:
      - Constant Field Values

  - ### isc_dpb_trusted_auth

    public static final int isc_dpb_trusted_auth
    See Also:
      - Constant Field Values

  - ### isc_dpb_process_name

    public static final int isc_dpb_process_name
    See Also:
      - Constant Field Values

  - ### isc_dpb_trusted_role

    public static final int isc_dpb_trusted_role
    See Also:
      - Constant Field Values

  - ### isc_dpb_org_filename

    public static final int isc_dpb_org_filename
    See Also:
      - Constant Field Values

  - ### isc_dpb_utf8_filename

    public static final int isc_dpb_utf8_filename
    See Also:
      - Constant Field Values

  - ### isc_dpb_ext_call_depth

    public static final int isc_dpb_ext_call_depth
    See Also:
      - Constant Field Values

  - ### isc_dpb_auth_block

    public static final int isc_dpb_auth_block
    See Also:
      - Constant Field Values

  - ### isc_dpb_client_version

    public static final int isc_dpb_client_version
    See Also:
      - Constant Field Values

  - ### isc_dpb_remote_protocol

    public static final int isc_dpb_remote_protocol
    See Also:
      - Constant Field Values

  - ### isc_dpb_host_name

    public static final int isc_dpb_host_name
    See Also:
      - Constant Field Values

  - ### isc_dpb_os_user

    public static final int isc_dpb_os_user
    See Also:
      - Constant Field Values

  - ### isc_dpb_specific_auth_data

    public static final int isc_dpb_specific_auth_data
    See Also:
      - Constant Field Values

  - ### isc_dpb_auth_plugin_list

    public static final int isc_dpb_auth_plugin_list
    See Also:
      - Constant Field Values

  - ### isc_dpb_auth_plugin_name

    public static final int isc_dpb_auth_plugin_name
    See Also:
      - Constant Field Values

  - ### isc_dpb_config

    public static final int isc_dpb_config
    See Also:
      - Constant Field Values

  - ### isc_dpb_nolinger

    public static final int isc_dpb_nolinger
    See Also:
      - Constant Field Values

  - ### isc_dpb_reset_icu

    public static final int isc_dpb_reset_icu
    See Also:
      - Constant Field Values

  - ### isc_dpb_map_attach

    public static final int isc_dpb_map_attach
    See Also:
      - Constant Field Values

  - ### isc_dpb_session_time_zone

    public static final int isc_dpb_session_time_zone
    See Also:
      - Constant Field Values

  - ### isc_dpb_set_db_replica

    public static final int isc_dpb_set_db_replica
    See Also:
      - Constant Field Values

  - ### isc_dpb_set_bind

    public static final int isc_dpb_set_bind
    See Also:
      - Constant Field Values

  - ### isc_dpb_decfloat_round

    public static final int isc_dpb_decfloat_round
    See Also:
      - Constant Field Values

  - ### isc_dpb_decfloat_traps

    public static final int isc_dpb_decfloat_traps
    See Also:
      - Constant Field Values

  - ### isc_dpb_clear_map

    public static final int isc_dpb_clear_map
    See Also:
      - Constant Field Values

  - ### isc_dpb_parallel_workers

    public static final int isc_dpb_parallel_workers
    See Also:
      - Constant Field Values

  - ### isc_dpb_worker_attach

    public static final int isc_dpb_worker_attach
    See Also:
      - Constant Field Values

  - ### isc_dpb_max_blob_cache_size

    public static final int isc_dpb_max_blob_cache_size
    See Also:
      - Constant Field Values

  - ### isc_dpb_max_inline_blob_size

    public static final int isc_dpb_max_inline_blob_size
    See Also:
      - Constant Field Values

  - ### isc_dpb_owner

    public static final int isc_dpb_owner
    See Also:
      - Constant Field Values